Package ru.bitel.bgbilling.modules.voiceip.common.bean

# Class VoiceIpOperatorPrefixCost

java.lang.Object
ru.bitel.bgbilling.modules.voiceip.common.bean.VoiceIpOperatorPrefixCost

public class VoiceIpOperatorPrefixCost extends Object
Стоимость по префиксу

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceIpOperatorPrefixCost()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final int`
  `getContractId()`
  Возвращает код договора
  `final String`
  `getContractTitle()`
  Возвращает имя договора
  `final float`
  `getCost()`
  Возвращает стоимость
  `final int`
  `getDestId()`
  Возвращает код направления
  `final String`
  `getDestTitle()`
  Возвращает название направления
  `final String`
  `getPrefix()`
  Возвращает префикс
  `final void`
  `setContractId(int contractId)`
  Устанавливает код договора
  `final void`
  `setContractTitle(String contractTitle)`
  Устанавливает имя договора
  `final void`
  `setCost(float cost)`
  Устанавливает стоимость
  `final void`
  `setDestId(int destId)`
  Устанавливает код направления
  `final void`
  `setDestTitle(String destTitle)`
  Устанавливает название направления
  `final void`
  `setPrefix(String prefix)`
  Устанавливает префикс

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VoiceIpOperatorPrefixCost

    public VoiceIpOperatorPrefixCost()

- ## Method Details

  - ### getContractId

    public final int getContractId()
    Возвращает код договора
    Returns:
      код договора

  - ### setContractId

    public final void setContractId(int contractId)
    Устанавливает код договора
    Parameters:
      `contractId` - код договора

  - ### getContractTitle

    public final String getContractTitle()
    Возвращает имя договора
    Returns:
      имя договора

  - ### setContractTitle

    public final void setContractTitle(String contractTitle)
    Устанавливает имя договора
    Parameters:
      `contractTitle` - имя договора

  - ### getCost

    public final float getCost()
    Возвращает стоимость
    Returns:
      стоимость

  - ### setCost

    public final void setCost(float cost)
    Устанавливает стоимость
    Parameters:
      `cost` - стоимость

  - ### getDestId

    public final int getDestId()
    Возвращает код направления
    Returns:
      код направления

  - ### setDestId

    public final void setDestId(int destId)
    Устанавливает код направления
    Parameters:
      `destId` - код направления

  - ### getDestTitle

    public final String getDestTitle()
    Возвращает название направления
    Returns:
      название направления

  - ### setDestTitle

    public final void setDestTitle(String destTitle)
    Устанавливает название направления
    Parameters:
      `destTitle` - название направления

  - ### getPrefix

    public final String getPrefix()
    Возвращает префикс
    Returns:
      префикс

  - ### setPrefix

    public final void setPrefix(String prefix)
    Устанавливает префикс
    Parameters:
      `prefix` - префикс